## mars.venus
Class SettingsDelayedBranchingAction

    java.lang.Object
      javax.swing.AbstractAction
          mars.venus.GuiAction
              mars.venus.SettingsDelayedBranchingAction

All Implemented Interfaces:
  ActionListener, Serializable, Cloneable, EventListener, Action

    public class SettingsDelayedBranchingAction

extends GuiAction

Action class for the Settings menu item to control delayed branching. Note: Changing this setting while the current program is runnable (assembled, or stepped execution) or terminated triggers a re-assembly. This is necessary to maintain consistency because the machine code assembled for branch instructions differs depending on this setting -- would branch to incorrect address if setting were changed between assembly and execution. Note: This action is disabled while the MIPS program is running. The user need only pause or stop execution to re-enable it.

See Also:
  Serialized Form

Field Summary

Fields inherited from class mars.venus.GuiAction
`mainUI`

Fields inherited from class javax.swing.AbstractAction
`changeSupport, enabled`

Fields inherited from interface javax.swing.Action
`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

Constructor Summary
`SettingsDelayedBranchingAction(String name, Icon icon, String descrip, Integer mnemonic, KeyStroke accel, VenusUI gui)`

Method Summary
`void` `actionPerformed(ActionEvent e)` does nothing by default.

Methods inherited from class javax.swing.AbstractAction
`addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SettingsDelayedBranchingAction

    public SettingsDelayedBranchingAction(String name,
                                          Icon icon,
                                          String descrip,
                                          Integer mnemonic,
                                          KeyStroke accel,
                                          VenusUI gui)

Method Detail

### actionPerformed

    public void actionPerformed(ActionEvent e)

  Description copied from class: `GuiAction`
  does nothing by default. Should be over-ridden by subclass

  Specified by:
    `actionPerformed` in interface `ActionListener`
  Overrides:
    `actionPerformed` in class `GuiAction`